﻿
*, *::after, *::before {
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
}

html, body {
  height: 100%;
}

body {
    line-height: 1.74;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    visibility: visible;
    font-family: "Almarai", sans-serif;
    color: #696969;
    position: relative;
    background-color: #ffffff;
}
body.no-overflow {
  overflow: hidden;
}

h1, h2, h3, h4, h5, h6 {
  color: #333333;
 
  font-weight: 700;
  margin-top: 0;
  margin-bottom: 0;
  line-height: 1.3;
}

h1 {
  font-size: 56px;
}
@media only screen and (min-width: 992px) and (max-width: 1199px) {
  h1 {
    font-size: 46px;
  }
}
@media only screen and (min-width: 768px) and (max-width: 991px) {
  h1 {
    font-size: 40px;
  }
}
@media only screen and (max-width: 767px) {
  h1 {
    font-size: 34px;
  }
}

h2 {
  font-size: 48px;
}
@media only screen and (min-width: 992px) and (max-width: 1199px) {
  h2 {
    font-size: 36px;
  }
}
@media only screen and (min-width: 768px) and (max-width: 991px) {
  h2 {
    font-size: 36px;
  }
}
@media only screen and (max-width: 767px) {
  h2 {
    font-size: 30px;
  }
}

h3 {
  font-size: 40px;
}
@media only screen and (min-width: 992px) and (max-width: 1199px) {
  h3 {
    font-size: 32px;
  }
}
@media only screen and (min-width: 768px) and (max-width: 991px) {
  h3 {
    font-size: 28px;
  }
}
@media only screen and (max-width: 767px) {
  h3 {
    font-size: 25px;
  }
}

h4 {
  font-size: 34px;
}
@media only screen and (min-width: 992px) and (max-width: 1199px) {
  h4 {
    font-size: 30px;
  }
}
@media only screen and (min-width: 768px) and (max-width: 991px) {
  h4 {
    font-size: 28px;
  }
}
@media only screen and (max-width: 767px) {
  h4 {
    font-size: 24px;
  }
}

h5 {
  font-size: 24px;
}
@media only screen and (max-width: 767px) {
  h5 {
    font-size: 20px;
  }
}

h6 {
  font-size: 18px;
}

p:last-child {
  margin-bottom: 0;
}

a, button {
  color: inherit;
  display: inline-block;
  line-height: inherit;
  text-decoration: none;
  cursor: pointer;
}

a, button, img, input {
  -webkit-transition: all 0.7s cubic-bezier(0.645, 0.045, 0.355, 1);
  -o-transition: all 0.7s cubic-bezier(0.645, 0.045, 0.355, 1);
  transition: all 0.7s cubic-bezier(0.645, 0.045, 0.355, 1);
}

*:focus {
  outline: none !important;
}

a:focus {
  color: inherit;
  outline: none;
  text-decoration: none;
}

.btn.focus, .btn:focus {
  outline: none;
  -webkit-box-shadow: none;
          box-shadow: none;
}

a:hover {
  text-decoration: none;
  color: #086AD8;
}

button, input[type=submit] {
  cursor: pointer;
}

ul {
  list-style: outside none none;
  margin: 0;
  padding: 0;
}

.form-messege.success,
.form-messege-2.success {
  color: green;
}
.form-messege.error,
.form-messege-2.error {
  color: red;
}

.mark, mark {
  padding: 0 0;
  background-color: transparent;
}

.font-weight--bold {
  font-weight: 800;
}

.font-weight--reguler {
  font-weight: 500;
}

.font-weight--normal {
  font-weight: 400;
}

.font-weight--light {
  font-weight: 300;
}

/*--
    Default Class
*/
.text-color-primary {
  color: #086AD8;
}

.text-color-secondary {
  color: #d2a98e;
}

.text-black {
  color: #333333 !important;
}

.bg-white {
  background: #ffffff;
}

.bg-black {
  background: #333;
}

.bg-gray {
  background: #F8F8F8;
}

.bg-gray-2 {
  background: #F6FAFE;
}

.bg-gray-3 {
  background: #f6f2ed;
}

.bg-theme-default {
  background: #086AD8;
}



/*------- Defauld Class --------*/
.text-black {
  color: #333;
}


::-moz-selection {
  color: #ffffff;
  background-color: #086AD8;
}

::selection {
  color: #ffffff;
  background-color: #086AD8;
}









@media (min-width: 1200px) {
  .container {
    max-width: 1200px;
  }
}




/* Mobile Mavigation icon */
.mobile-navigation-icon {
  width: 24px;
  height: 25px;
  position: relative;
  cursor: pointer;
  display: inline-block;
  margin-left: 30px;
}

.mobile-navigation-icon:hover i:before {
  width: 80%;
 
}
.mobile-navigation-icon:hover i:after {
 
  width: 60%;
}
.mobile-navigation-icon i {
  position: absolute;
  top: 50%;
  -webkit-transform: translateY(-50%);
      -ms-transform: translateY(-50%);
          transform: translateY(-50%);
  width: 100%;
  height: 2px;
  background-color: #FFF;
  -webkit-transition: all 0.7s cubic-bezier(0.645, 0.045, 0.355, 1);
  -o-transition: all 0.7s cubic-bezier(0.645, 0.045, 0.355, 1);
  transition: all 0.7s cubic-bezier(0.645, 0.045, 0.355, 1);
}
.mobile-navigation-icon i:before {
  position: absolute;
  bottom: 8px;
  left: 0;
  width: 100%;
  height: 2px;
  background-color: #FFF;
  content: "";
  -webkit-transition: all 0.7s cubic-bezier(0.645, 0.045, 0.355, 1);
  -o-transition: all 0.7s cubic-bezier(0.645, 0.045, 0.355, 1);
  transition: all 0.7s cubic-bezier(0.645, 0.045, 0.355, 1);
}
.mobile-navigation-icon i:after {
  position: absolute;
  bottom: -8px;
  left: 0;
  width: 100%;
  height: 2px;
  background-color: #FFF;
  content: "";
  -webkit-transition: all 0.7s cubic-bezier(0.645, 0.045, 0.355, 1);
  -o-transition: all 0.7s cubic-bezier(0.645, 0.045, 0.355, 1);
  transition: all 0.7s cubic-bezier(0.645, 0.045, 0.355, 1);
}
@media only screen and (min-width: 992px) and (max-width: 1199px) {
  .mobile-navigation-icon.white-md-icon i {
    background-color: #fff;
  }
  .mobile-navigation-icon.white-md-icon i:before {
    background-color: #fff;
  }
  .mobile-navigation-icon.white-md-icon i:after {
    background-color: #fff;
  }
  
  .mobile-navigation-icon.white-md-icon:hover i:before {
    width: 80%;
   
  }
  .mobile-navigation-icon.white-md-icon:hover i:after {
   
    width: 60%;
  }
}

@media only screen and (min-width: 992px) and (max-width: 1199px) {
  .is-sticky .white-md-icon i {
    background-color: #333;
  }
  .is-sticky .white-md-icon i:before {
    background-color: #333;
  }
  .is-sticky .white-md-icon i:after {
    background-color: #333;
  }
}

.page-open-off-sidebar:hover i {
  width: 100%;
}
.page-open-off-sidebar:hover i:before {
  width: 100%;
}
.page-open-off-sidebar:hover i:after {
  width: 100%;
}
.page-open-off-sidebar i {
  width: 100%;
  background-color: #333;
}
.page-open-off-sidebar i:before {
  width: 70%;
  background-color: #333;
}
.page-open-off-sidebar i:after {
  width: 70%;
  background-color: #333;
}

.hidden-icons-menu {
  margin-left: 15px;
}
.hidden-icons-menu a {
  color: #6D70A6;
  font-size: 20px;
}
.hidden-icons-menu a:hover {
  color: #086AD8;
}

/*================================ 
    - Mobile Menu Overlay Css
==================================*/
.mobile-menu-overlay, .page-oppen-off-sidebar {
  position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: #333333;
  overflow: auto;
  -webkit-transition: all 0.7s cubic-bezier(0.645, 0.045, 0.355, 1);
  -o-transition: all 0.7s cubic-bezier(0.645, 0.045, 0.355, 1);
  transition: all 0.7s cubic-bezier(0.645, 0.045, 0.355, 1);
  z-index: 9999;
  background: rgba(0, 0, 0, 0.7);
  cursor: url(../images/icons/light-close.webp) 16 16, pointer;
  visibility: hidden;
  opacity: 0;
}
.mobile-menu-overlay__inner, .page-oppen-off-sidebar__inner {
    -webkit-transform: translateX(120%);
    -ms-transform: translateX(120%);
    transform: translateX(120%);
    width: 400px;
    height: 100%;
    float: right;
    cursor: default;
    background: #8d4543 url(/assets/images/home-texture.png) no-repeat left bottom;
    -webkit-transition: all 0.7s cubic-bezier(0.645, 0.045, 0.355, 1);
    -o-transition: all 0.7s cubic-bezier(0.645, 0.045, 0.355, 1);
    transition: all 0.7s cubic-bezier(0.645, 0.045, 0.355, 1);
    overflow-y: auto;
}
@media only screen and (max-width: 479px) {
  .mobile-menu-overlay__inner, .page-oppen-off-sidebar__inner {
    width: 300px;
  }
}
.mobile-menu-overlay.active, .page-oppen-off-sidebar.active {
  visibility: visible;
  opacity: 1;
}
.mobile-menu-overlay.active .mobile-menu-overlay__inner, .page-oppen-off-sidebar.active .mobile-menu-overlay__inner {
  -webkit-transform: translateX(0%);
      -ms-transform: translateX(0%);
          transform: translateX(0%);
}
.mobile-menu-overlay__header, .page-oppen-off-sidebar__header {
 
  padding: 15px 0;
}
.mobile-menu-overlay__header .mobile-navigation-close-icon, .page-oppen-off-sidebar__header .mobile-navigation-close-icon {
  position: relative;
  cursor: pointer;
  height: 40px;
  width: 40px;
  line-height: 40px;
  display: inline-block;
}
.mobile-menu-overlay__header .mobile-navigation-close-icon:before, .page-oppen-off-sidebar__header .mobile-navigation-close-icon:before {
  position: absolute;
  top: 23px;
  left: 8px;
  content: "";
  width: 24px;
  height: 3px;
  background: #FFF;
  -webkit-transform-origin: 50% 50%;
      -ms-transform-origin: 50% 50%;
          transform-origin: 50% 50%;
  -webkit-transform: rotate(45deg);
      -ms-transform: rotate(45deg);
          transform: rotate(45deg);
  -webkit-transition: all 0.7s cubic-bezier(0.645, 0.045, 0.355, 1);
  -o-transition: all 0.7s cubic-bezier(0.645, 0.045, 0.355, 1);
  transition: all 0.7s cubic-bezier(0.645, 0.045, 0.355, 1);
}
.mobile-menu-overlay__header .mobile-navigation-close-icon:after, .page-oppen-off-sidebar__header .mobile-navigation-close-icon:after {
  position: absolute;
  top: 23px;
  left: 8px;
  content: "";
  width: 24px;
  height: 3px;
  background: #FFF;
  -webkit-transform-origin: 50% 50%;
      -ms-transform-origin: 50% 50%;
          transform-origin: 50% 50%;
  -webkit-transform: rotate(-45deg);
      -ms-transform: rotate(-45deg);
          transform: rotate(-45deg);
  -webkit-transition: all 0.7s cubic-bezier(0.645, 0.045, 0.355, 1);
  -o-transition: all 0.7s cubic-bezier(0.645, 0.045, 0.355, 1);
  transition: all 0.7s cubic-bezier(0.645, 0.045, 0.355, 1);
}
.mobile-menu-overlay__header .mobile-navigation-close-icon:hover, .page-oppen-off-sidebar__header .mobile-navigation-close-icon:hover {
  color: #086AD8;
}
.mobile-menu-overlay__header .mobile-navigation-close-icon:hover:before, .mobile-menu-overlay__header .mobile-navigation-close-icon:hover:after, .page-oppen-off-sidebar__header .mobile-navigation-close-icon:hover:before, .page-oppen-off-sidebar__header .mobile-navigation-close-icon:hover:after {
  -webkit-transform: none;
      -ms-transform: none;
          transform: none;
}
.mobile-menu-overlay__body, .page-oppen-off-sidebar__body {
  padding: 20px 40px 100px;
}
.mobile-menu-overlay__body .offcanvas-navigation, .page-oppen-off-sidebar__body .offcanvas-navigation {
  /* onepage style */
}
.mobile-menu-overlay__body .offcanvas-navigation > ul > li, .page-oppen-off-sidebar__body .offcanvas-navigation > ul > li {
  border-bottom: 1px solid rgba(255, 255, 255, 0.15);
}
.mobile-menu-overlay__body .offcanvas-navigation > ul > li > a, .page-oppen-off-sidebar__body .offcanvas-navigation > ul > li > a {
  display: block;
  color: #ffffff;
  padding-top: 18px;
  padding-bottom: 18px;
  font-size: 16px;
  font-weight: 500;
  line-height: 1.5;
  -webkit-transition: all 0.7s cubic-bezier(0.645, 0.045, 0.355, 1);
  -o-transition: all 0.7s cubic-bezier(0.645, 0.045, 0.355, 1);
  transition: all 0.7s cubic-bezier(0.645, 0.045, 0.355, 1);
}
.mobile-menu-overlay__body .offcanvas-navigation > ul > li > a:hover, .page-oppen-off-sidebar__body .offcanvas-navigation > ul > li > a:hover {
  color: #ffffff;
}
.mobile-menu-overlay__body .offcanvas-navigation > ul > li:last-child, .page-oppen-off-sidebar__body .offcanvas-navigation > ul > li:last-child {
  border-bottom: 0;
}
.mobile-menu-overlay__body .offcanvas-navigation > ul > li.has-children, .page-oppen-off-sidebar__body .offcanvas-navigation > ul > li.has-children {
  position: relative;
}
.mobile-menu-overlay__body .offcanvas-navigation > ul > li.has-children.active .menu-expand:before, .page-oppen-off-sidebar__body .offcanvas-navigation > ul > li.has-children.active .menu-expand:before {
  content: "\f106";
}
.mobile-menu-overlay__body .offcanvas-navigation > ul > li.has-children .menu-expand, .page-oppen-off-sidebar__body .offcanvas-navigation > ul > li.has-children .menu-expand {
  position: absolute;
  right: 0;
  top: 12px;
  width: 40px;
  height: 40px;
  background: rgba(255, 255, 255, 0.1);
  color: #fff;
  text-align: center;
  line-height: 40px;
  cursor: pointer;
  -webkit-transition: all 0.7s cubic-bezier(0.645, 0.045, 0.355, 1);
  -o-transition: all 0.7s cubic-bezier(0.645, 0.045, 0.355, 1);
  transition: all 0.7s cubic-bezier(0.645, 0.045, 0.355, 1);
}
.mobile-menu-overlay__body .offcanvas-navigation > ul > li.has-children .menu-expand:hover, .page-oppen-off-sidebar__body .offcanvas-navigation > ul > li.has-children .menu-expand:hover {
  background: rgba(255, 255, 255, 0.2);
}
.mobile-menu-overlay__body .offcanvas-navigation > ul > li.has-children .menu-expand:before, .page-oppen-off-sidebar__body .offcanvas-navigation > ul > li.has-children .menu-expand:before {
  content: "\f107";
  font-size: 18px;
  font-family: "Font Awesome 5 Free";
  font-weight: 600;
}
.mobile-menu-overlay__body .offcanvas-navigation > ul > li.has-children .sub-menu, .page-oppen-off-sidebar__body .offcanvas-navigation > ul > li.has-children .sub-menu {
  padding: 12px 0 14px 10px;
  border-top: 1px solid rgba(255, 255, 255, 0.15);
}
.mobile-menu-overlay__body .offcanvas-navigation > ul > li.has-children .sub-menu li, .page-oppen-off-sidebar__body .offcanvas-navigation > ul > li.has-children .sub-menu li {
  border-bottom: 1px solid rgba(255, 255, 255, 0.15);
}
.mobile-menu-overlay__body .offcanvas-navigation > ul > li.has-children .sub-menu li a, .page-oppen-off-sidebar__body .offcanvas-navigation > ul > li.has-children .sub-menu li a {
  display: block;
  font-size: 15px;
  color: rgba(255, 255, 255, 0.7);
  font-weight: 500;
  line-height: 1.5;
  padding: 10px 0;
}
.mobile-menu-overlay__body .offcanvas-navigation > ul > li.has-children .sub-menu li a:hover, .page-oppen-off-sidebar__body .offcanvas-navigation > ul > li.has-children .sub-menu li a:hover {
  color: #ffffff;
}
.mobile-menu-overlay__body .offcanvas-navigation > ul > li.has-children .sub-menu li:last-child, .page-oppen-off-sidebar__body .offcanvas-navigation > ul > li.has-children .sub-menu li:last-child {
  border-bottom: 0;
}
.mobile-menu-overlay__body .offcanvas-navigation > ul > li.has-children .sub-menu li.has-children, .page-oppen-off-sidebar__body .offcanvas-navigation > ul > li.has-children .sub-menu li.has-children {
  position: relative;
}
.mobile-menu-overlay__body .offcanvas-navigation > ul > li.has-children .sub-menu li.has-children.active .menu-expand:before, .page-oppen-off-sidebar__body .offcanvas-navigation > ul > li.has-children .sub-menu li.has-children.active .menu-expand:before {
  content: "\f106";
}
.mobile-menu-overlay__body .offcanvas-navigation > ul > li.has-children .sub-menu li.has-children .menu-expand, .page-oppen-off-sidebar__body .offcanvas-navigation > ul > li.has-children .sub-menu li.has-children .menu-expand {
  position: absolute;
  right: 0;
  top: 6px;
  width: 30px;
  height: 30px;
  background: rgba(255, 255, 255, 0.1);
  color: #fff;
  text-align: center;
  line-height: 30px;
  cursor: pointer;
  -webkit-transition: all 0.7s cubic-bezier(0.645, 0.045, 0.355, 1);
  -o-transition: all 0.7s cubic-bezier(0.645, 0.045, 0.355, 1);
  transition: all 0.7s cubic-bezier(0.645, 0.045, 0.355, 1);
}
.mobile-menu-overlay__body .offcanvas-navigation > ul > li.has-children .sub-menu li.has-children .menu-expand:hover, .page-oppen-off-sidebar__body .offcanvas-navigation > ul > li.has-children .sub-menu li.has-children .menu-expand:hover {
  background: rgba(255, 255, 255, 0.2);
}
.mobile-menu-overlay__body .offcanvas-navigation > ul > li.has-children .sub-menu li.has-children .menu-expand:before, .page-oppen-off-sidebar__body .offcanvas-navigation > ul > li.has-children .sub-menu li.has-children .menu-expand:before {
  content: "\f107";
  font-size: 16px;
  font-family: "Font Awesome 5 Free";
  font-weight: 500;
}
.mobile-menu-overlay__body .offcanvas-navigation > ul > li.has-children .sub-menu .sub-menu li.has-children, .page-oppen-off-sidebar__body .offcanvas-navigation > ul > li.has-children .sub-menu .sub-menu li.has-children {
  position: relative;
}
.mobile-menu-overlay__body .offcanvas-navigation > ul > li.has-children .sub-menu .sub-menu li.has-children.active .menu-expand:before, .page-oppen-off-sidebar__body .offcanvas-navigation > ul > li.has-children .sub-menu .sub-menu li.has-children.active .menu-expand:before {
  content: "\f106";
}
.mobile-menu-overlay__body .offcanvas-navigation > ul > li.has-children .sub-menu .sub-menu li.has-children .menu-expand:before, .page-oppen-off-sidebar__body .offcanvas-navigation > ul > li.has-children .sub-menu .sub-menu li.has-children .menu-expand:before {
  content: "\f107";
  font-size: 16px;
  font-family: "Font Awesome 5 Free";
  font-weight: 500;
}
.mobile-menu-overlay__body .offcanvas-navigation--onepage > ul > li.active > a, .page-oppen-off-sidebar__body .offcanvas-navigation--onepage > ul > li.active > a {
  font-weight: 700;
}








/*my css*/
.projects-image-box {
    min-height: 200px;
    border-radius: 12px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0;
    max-height: 200px;
    overflow: hidden;
}
.projects-image-box-content {
    padding:10px;
    text-align:center
}
.projects-image-box-content h4{
    color:var(--bs-white)
}
.logo2{
    text-align:center
}
.bg-white-50 {
    background-color: rgba(255,255,255,.5) !important;
}
@media(min-width:768px){
.sheik {
    position: relative;
    right: -70px;
}
}
/*.three-flexible__container {
    height: 500px;*/ /* adjust as needed */
/*}*/



   
    .header-area{
        position:sticky;
        top:20px;
        height:76px
    }
    .al-lagat img{
        height:25px;
        width:25px
    }
.feature-box img {
    height: 50px
}


/* Input Fields Styling */
.custom-input {
    background-color: #E2D3C1 !important;
    border: none !important;
    border-radius: 18px !important;
    padding: 14px 20px !important;
    color: #5A5248 !important;
    font-size: 1rem;
    transition: all 0.3s ease;
}

    /* Placeholder Color */
    .custom-input::placeholder {
        color: #9D8E7E !important;
        opacity: 1;
    }

    /* Focus State */
    .custom-input:focus {
        background-color: #dacbba !important;
        box-shadow: 0 0 0 0.25rem rgba(226, 211, 193, 0.5) !important;
    }

/* Textarea height tweak */
textarea.custom-input {
    border-radius: 24px !important;
    resize: none;
}

/* Submit Button Styling */
.custom-btn {
    background-color: transparent !important;
    border: 2px solid #D2C2B1 !important;
    border-radius: 50px !important;
    color: #232020 !important;
    min-width: 180px;
    padding: 10px 35px !important;
    font-weight: 500;
    transition: all 0.3s ease;
}

    .custom-btn:hover {
        background-color: #232020 !important;
        border-color: #232020 !important;
        color: #F7ECDF !important;
    }

/* Font adjustments for header if needed */
.stack-header {
    letter-spacing: 0.5px;
    font-family: sans-serif;
}
/*.smooth-center-clip {
    display: block;
    text-align: center;
    width: 100%;
    margin: 0 auto;*/
    /* clip-path شروع میں سینٹر میں ایک بالکل باریک لائن ہوگا */
    /*clip-path: inset(0 50% 0 50%);*/
    /* cubic-bezier سے یہ بہت ہی اسموتھ اور پریمیم لک دے گا */
    /*animation: centerExpand 9.5s cubic-bezier(0.25, 1, 0.5, 1) forwards;
}*/

.smooth-center-clip {
    display: block;
    text-align: center;
    width: 100%;
    margin: 0 auto;
    clip-path: inset(0 50% 0 50%);
    /* yahan delay remove kar diya */
    animation: centerExpand 9.5s cubic-bezier(0.25, 1, 0.5, 1) forwards;
    animation-delay: 0s !important;
}

@keyframes centerExpand {
    from {
        /* سینٹر سے شروع (دائیں اور بائیں سے 50% کٹا ہوا) */
        clip-path: inset(0 50% 0 50%);
    }

    to {
        /* پورا ٹیکسٹ ظاہر (کٹوتی 0%) */
        clip-path: inset(0 0% 0 0%);
    }
}

.swiper-pagination-bullet {
    width: 14px;
    height: 14px;
    display: inline-block;
    border-radius: 100%;
    background: #fff;
    opacity: .5;
    margin:10px 2px 2px 2px
}
.swiper-pagination-bullet-active {
  
    background: green !important;
   
}

/* Replace '.header-area' with your actual theme header class if different */
header,
.header-area,
#main-wrapper > header {
    position: relative; /* Essential for z-index to work */
    z-index: 1000 !important; /* One level higher than the slider's 999 */
}